summaryrefslogtreecommitdiff
path: root/x11-misc/grub2-theme-preview
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-06 19:30:32 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-10-06 19:30:32 +0000
commit7add545e1ca0f05876dd00582d33177bac9dd274 (patch)
treeb069f9fa132a87e9140f2e1d91df28a784ace1ad /x11-misc/grub2-theme-preview
parentc9e0b66ad515a48c31c06f4c3a9f597720bea373 (diff)
downloadbaldeagleos-repo-7add545e1ca0f05876dd00582d33177bac9dd274.tar.gz
baldeagleos-repo-7add545e1ca0f05876dd00582d33177bac9dd274.tar.xz
baldeagleos-repo-7add545e1ca0f05876dd00582d33177bac9dd274.zip
Adding metadata
Diffstat (limited to 'x11-misc/grub2-theme-preview')
-rw-r--r--x11-misc/grub2-theme-preview/grub2-theme-preview-2.8.0-r2.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/x11-misc/grub2-theme-preview/grub2-theme-preview-2.8.0-r2.ebuild b/x11-misc/grub2-theme-preview/grub2-theme-preview-2.8.0-r2.ebuild
new file mode 100644
index 000000000000..99cdc48367e2
--- /dev/null
+++ b/x11-misc/grub2-theme-preview/grub2-theme-preview-2.8.0-r2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Preview a GRUB 2.x theme using KVM/QEMU"
+HOMEPAGE="https://github.com/hartwork/grub2-theme-preview"
+SRC_URI="https://github.com/hartwork/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 x86"
+IUSE="grub_platforms_efi-32 grub_platforms_efi-64"
+
+RDEPEND="app-emulation/qemu
+ dev-libs/libisoburn
+ sys-fs/mtools
+ grub_platforms_efi-64? (
+ sys-boot/grub:2[grub_platforms_efi-64]
+ || ( sys-firmware/edk2-ovmf sys-firmware/edk2-ovmf-bin )
+ )
+ grub_platforms_efi-32? (
+ sys-boot/grub:2[grub_platforms_efi-32]
+ || ( sys-firmware/edk2-ovmf sys-firmware/edk2-ovmf-bin )
+ )
+ !grub_platforms_efi-32? (
+ !grub_platforms_efi-64? (
+ sys-boot/grub:2[grub_platforms_pc]
+ )
+ )
+"
+DEPEND="test? ( dev-python/parameterized[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest